Get a push configuration
Retrieves a specific push configuration of an application. The type of a push configuration is either fcm, huawei, or apns.
HTTP request
Note: If you are using the in-app channel in Delight AI agent, the endpoint for your API request should start with
https://api-{application_id}.svc.delight.ai/v3instead ofhttps://api-{application_id}.sendbird.com/v3. For more details, refer to our Delight AI agent guide.
Parameters
The following table lists the parameters that this action supports.
Required
| Parameter name | Type | Description |
|---|---|---|
push_type | string | Specifies the type of the push configuration. Acceptable values are fcm for FCM, huawei for HMS, and apns for APNs. |
provider_id | string | Specifies the provider ID of the push configuration. |
Response
If successful, this action returns information on a push configuration in the response body.
List of response properties
| Property name | Type | Description |
|---|---|---|
push_configurations[] | array of objects | A list of either FCM, HMS, or APNs push configurations. |
In the case of an error, an error object is returned. A detailed list of error codes is available here.